#include <cstdlib>
#include <iostream>

using namespace std ;

int main ()
{
	float z1, z2, erg;
	char op;
	cout << "2 Zahlen mit Operator dazwischen [+ - * / ]: ";
	cin >> z1 >> op >> z2 ;
	cout << z1 << op << z2 << "=";
		switch (op)
		{
			case '+':
				erg = z1 + z2;
				cout << erg << endl;
				break ;
			case '-':
				cout << z1 - z2 << endl;
				break ;
			case '*':
				cout << z1 * z2 << endl;
				break ;
			case '/':
				if ( z2 ==0)
					cout << " Division durch 0 geht nicht" << endl;
				else
					cout << z1 / z2 << endl;
				break ;
			default :
				cout << " Den Operator kenne ich nicht." << endl;
		}
		
	system("pause");
	return 0;
}
